#!/bin/bash

# Source : http://download.zenwalk.org/people/jp/mediascripts
# Packager : JP Guillemin jp.guillemin@free.fr

soft='mediascripts'
version='0.4'
packageversion='70.1'

arch='i486'
cpu='i686'

buildir=$(pwd)
package="$soft-$version-$arch-$packageversion"
dest="/tmp/$package"
src="$buildir/$soft-$version"

cd $buildir
rm -rf $src
rm -f $dest.tgz
rm -rf $dest

export CFLAGS="-O2 -march=$arch -mtune=$cpu"

tar -xvf $src.tar.gz
chown -R root:root .
cd $src

make install DESTDIR=$dest


# Description file
mkdir -p $dest/install

cat << "EOS" > $dest/install/slack-desc
mediascripts: mediascripts - multimedia conversion scripts
mediascripts:
mediascripts: mediascripts are hopefully useful audio/video conversion 
mediascripts: tools. They follow the famous Unix "Small Is Beautiful"  
mediascripts: spirit.
mediascripts: 
mediascripts: 
mediascripts: 
mediascripts: 
mediascripts:
mediascripts:
EOS

mkdir -p $dest/usr/src/$soft-$version
cp $buildir/build-$soft.sh $dest/usr/src/$soft-$version



# Packaging
cd $dest
makepkg -l y -c n $dest.tgz

# cleanup
rm -rf $src
rm -rf $dest
